[arch-commits] Commit in libbtctl/trunk (PKGBUILD libbtctl-bluez4.patch)

Jan de Groot jgc at archlinux.org
Tue Sep 16 06:47:06 EDT 2008


    Date: Tuesday, September 16, 2008 @ 06:47:05
  Author: jgc
Revision: 12617

upgpkg: libbtctl 0.10.0-2
    Build with bluez4

Added:
  libbtctl/trunk/libbtctl-bluez4.patch
Modified:
  libbtctl/trunk/PKGBUILD

-----------------------+
 PKGBUILD              |   27 +++++++++++++--------------
 libbtctl-bluez4.patch |   15 +++++++++++++++
 2 files changed, 28 insertions(+), 14 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-09-16 10:32:00 UTC (rev 12616)
+++ PKGBUILD	2008-09-16 10:47:05 UTC (rev 12617)
@@ -3,25 +3,24 @@
 
 pkgname=libbtctl
 pkgver=0.10.0
-pkgrel=1.1
+pkgrel=2
 pkgdesc="GObject wrapper for Bluetooth functionality."
 arch=('i686' 'x86_64')
 url="http://www.usefulinc.com/software/gnome-bluetooth/"
-license=('GPL')
-depends=('glib2>=2.14.1' 'openobex>=1.3')
-makedepends=('intltool' 'python' 'gtk2') # 'gtk-sharp'
+license=('GPL' 'LGPL')
+depends=('glib2>=2.18.0' 'openobex>=1.3-3' 'bluez>=4.1')
+makedepends=('intltool' 'python' 'gtk2')
 options=('!libtool' '!makeflags')
-source=(http://ftp.gnome.org/pub/GNOME/sources/libbtctl/0.10/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('83d5f90efb2b26d1bd12a668940d02ba')
+source=(http://ftp.gnome.org/pub/GNOME/sources/libbtctl/0.10/${pkgname}-${pkgver}.tar.bz2
+	libbtctl-bluez4.patch)
+md5sums=('83d5f90efb2b26d1bd12a668940d02ba'
+	 '7ffbf62cbaa42be15ffb26ff71cc06cd')
 
 build() {
-  # export MAKEFLAGS="-j1"
-  # export MONO_SHARED_DIR=${startdir}/src/.wabi
-  # mkdir -p ${MONO_SHARED_DIR}
-
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr --disable-gtk-doc # --enable-mono
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np0 -i "${srcdir}/libbtctl-bluez4.patch" || return 1
+  ./configure --prefix=/usr --disable-gtk-doc \
+    --disable-mono --disable-static || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
-  # rm -rf $MONO_SHARED_DIR
+  make DESTDIR="${pkgdir}" install || return 1
 }

Added: libbtctl-bluez4.patch
===================================================================
--- libbtctl-bluez4.patch	                        (rev 0)
+++ libbtctl-bluez4.patch	2008-09-16 10:47:05 UTC (rev 12617)
@@ -0,0 +1,15 @@
+Index: src/btctlimpl.c
+===================================================================
+--- src/btctlimpl.c	(revision 134)
++++ src/btctlimpl.c	(working copy)
+@@ -330,8 +330,8 @@
+ 	if (dd>=0) {
+ 		for (i = 0; i < num_rsp; i++) {
+ 			memset(name, 0, sizeof(name));
+-			if (hci_remote_name(dd, &(info+i)->bdaddr,
+-						sizeof(name), name, 100000) < 0)
++			if (hci_read_remote_name(dd, &(info+i)->bdaddr,
++						 sizeof(name), name, 100000) < 0)
+ 				strcpy(name, "n/a");
+ 
+ 			baswap(&bdaddr, &(info+i)->bdaddr);




More information about the arch-commits mailing list